---
title: RTCPeerConnectionIceEvent
slug: Web/API/RTCPeerConnectionIceEvent
tags:
  - API
  - Experimental
  - Interface
  - RTCIceCandidateEvent
  - Reference
  - WebRTC
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>RTCPeerConnectionIceEvent</code></strong> interface represents events that occurs in relation to {{Glossary("ICE")}} candidates with the target, usually an {{domxref("RTCPeerConnection")}}.</span> Only one event is of this type: {{event("icecandidate")}}.</p>

<h2 id="Properties">Properties</h2>

<p><em>A {{domxref("RTCPeerConnectionIceEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.</p>

<dl>
 <dt>{{domxref("RTCPeerConnectionIceEvent.candidate")}} {{readOnlyInline}}</dt>
 <dd>Contains the {{domxref("RTCIceCandidate")}} containing the candidate associated with the event, or <code>null</code> if this event indicates that there are no further candidates to come.</dd>
</dl>

<h2 id="Constructors">Constructors</h2>

<dl>
 <dt>{{domxref("RTCPeerConnectionIceEvent.RTCPeerConnectionIceEvent()", "RTCPeerConnectionIceEvent()")}}</dt>
 <dd>Returns a new <code>RTCPeerConnectionIceEvent</code>. It takes two parameters, the first being a {{domxref("DOMString")}} representing the type of the event; the second a dictionary containing the {{domxref("RTCIceCandidate")}} it refers to.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>A {{domxref("RTCPeerConnectionIceEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.  <em>There is no specific <em>{{domxref("RTCDataChannelEvent")}}</em> method.</em></p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">pc.onicecandidate = function( ev ) {
  alert("The ICE candidate (transport address: '" +
    ev.candidate.candidate +
    "') has been added to this connection.");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#rtcpeerconnectioniceevent', 'RTCPeerConnectionIceEvent') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnectionIceEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCPeerConnection")}}.</li>
</ul>
